> For the complete documentation index, see [llms.txt](https://docs.emobiq.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/array/newarray.md).

# newArray

## Description

Creates an empty array.

## Input / Parameter

| Name | Description                | Input Type  | Default | Options | Required |
| ---- | -------------------------- | ----------- | ------- | ------- | -------- |
| var  | The name of the new array. | String/Text | -       | -       | Yes      |

## Output

| Description                  | Output Type |
| ---------------------------- | ----------- |
| Returns the new empty array. | Array/List  |

## Callback

N/A

## Video

Coming Soon.

## Example

The user wants to create a new array.

### Step

1. Call the function"newArray" and set the variable name.\
   var: listOfFruits<br>

   ![](/files/Ko11hxITkyWTkdXWPqwn)

   ![](/files/mTddbZgcQSy21LtjqKbZ)
2. Add a console and call the function "getVar"

   ![](/files/DeCbRoCxDC559YodT07q)

   ![](/files/tVfpRru71OJJC0kuYYV6)

### Result

User create a new array successfully.<br>

![](/files/xHxfLnzZPsCVWg6ktd3j)

## Links


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/array/newarray.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
